package com.jenny.magic.conditions;

import com.jenny.magic.blocks.blocks;
import com.jenny.magic.config.ConfigServer;
import com.jenny.magic.items.items;
import net.minecraft.world.item.Item;
import net.minecraftforge.common.crafting.CraftingHelper;
import net.minecraftforge.registries.RegistryObject;

import java.util.ArrayList;
import java.util.List;

public class conditions {
    public static void register() {
        for (RegistryObject<Item> item : items()) {
            String name = item.get().toString();
            CraftingHelper.register(new ConfigCondition(name, ConfigServer.C_DISABLED_LIST));
        }
    }

    private static List<RegistryObject<Item>> items() {
        ArrayList<RegistryObject<Item>> l = new ArrayList<>(items.ITEMS.getEntries().stream().toList());
        l.addAll(blocks.ITEMS.getEntries().stream().toList());
        return l;
    }
}
