package com.jenny.magic.entities.client;

import net.minecraft.world.level.block.Block;
import net.minecraft.world.level.block.state.BlockBehaviour;
import net.minecraftforge.eventbus.api.IEventBus;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.RegistryObject;

import static com.jenny.magic.Magic.MODID;

public class ProjectileBlocks {
    public static final DeferredRegister<Block> BLOCKS = DeferredRegister.create(ForgeRegistries.BLOCKS, MODID);
    public static final RegistryObject<Block> PROJECTILE_HURTFUL = BLOCKS.register("projectile_hurtful", () -> new Block(BlockBehaviour.Properties.of()));
    public static final RegistryObject<Block> PROJECTILE_HURTFUL_AOE = BLOCKS.register("projectile_hurtful_aoe", () -> new Block(BlockBehaviour.Properties.of()));

    public static void register(IEventBus bus) {
        BLOCKS.register(bus);
    }
}
