package com.jenny.magic.items.amulets;

import net.minecraft.world.effect.MobEffectCategory;
import net.minecraft.world.effect.MobEffectInstance;
import net.minecraft.world.entity.Entity;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.level.Level;
import org.jetbrains.annotations.NotNull;

public class AmuletImmunity extends AmuletBase {
    private static int delay = 200;
    private int count = 0;

    public AmuletImmunity(Item.Properties pProperties) {
        super(pProperties);
    }

    @Override
    public void inventoryTick(@NotNull ItemStack pStack, @NotNull Level pLevel, @NotNull Entity pEntity, int pSlotId, boolean pIsSelected) {
        if (!pLevel.isClientSide) {
            count = count < 200 ? count + 1 : count;
            if (count == 200 && pEntity instanceof LivingEntity entity) {
                for (MobEffectInstance effect : entity.getActiveEffects()) {
                    if (effect.getEffect().getCategory().equals(MobEffectCategory.HARMFUL)) {
                        entity.removeEffect(effect.getEffect());
                        count = 1;
                        break;
                    }
                }
            }
        }
    }
}