package com.jenny.magic.items.amulets;

import net.minecraft.world.entity.Entity;
import net.minecraft.world.entity.player.Player;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.level.Level;
import org.jetbrains.annotations.NotNull;

public class AmuletRepair extends AmuletBase {
    public AmuletRepair(@NotNull Properties pProperties) {
        super(pProperties.stacksTo(1));
    }

    @Override
    public void inventoryTick(@NotNull ItemStack pStack, @NotNull Level pLevel, @NotNull Entity pEntity, int pSlotId, boolean pIsSelected) {
        if (!pLevel.isClientSide && isEnabled(pStack.getTag()) && pLevel.getRandom().nextInt(10) == 0 && pEntity instanceof Player pPlayer) {
            int rand = pLevel.getRandom().nextInt(0, 9);
            ItemStack itemStack = pPlayer.getInventory().items.get(rand);
            if (itemStack.isDamaged()) {
                itemStack.setDamageValue(itemStack.getDamageValue() - 1);
            }
        }
    }
}
