package com.jenny.magic.items.scrolls;

import net.minecraft.world.entity.player.Player;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.level.Level;
import net.minecraft.world.phys.Vec3;
import org.jetbrains.annotations.NotNull;

public class ScrollTeleportConsumable extends ScrollTeleport {
    public ScrollTeleportConsumable(Properties pProperties) {
        super(pProperties);
    }

    @Override
    protected void use(Vec3 pos, Player player, @NotNull ItemStack itemStack, Level level) {
        if (itemStack.getTag() != null && locationSet(itemStack.getTag())) {
            super.use(pos, player, itemStack, level);
            itemStack.shrink(1);
        } else {
            super.use(pos, player, itemStack, level);
        }

    }

}
